Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.vecmath
Class Point2f

    java.lang.Object
      javax.vecmath.Tuple2f
          javax.vecmath.Point2f

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Point2f

extends Tuple2f
implements java.io.Serializable

A 2 element point that is represented by single precision floating point x,y coordinates.

Author:
  Kenji hiranabe
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.vecmath.Tuple2f
`x, y`

Constructor Summary
`Point2f()` Constructs and initializes a Point2f to (0,0).
`Point2f(float[] p)` Constructs and initializes a Point2f from the specified array.
`Point2f(float x, float y)` Constructs and initializes a Point2f from the specified xy coordinates.
`Point2f(Point2d p1)` Constructs and initializes a Point2f from the specified Point2d.
`Point2f(Point2f p1)` Constructs and initializes a Point2f from the specified Point2f.
`Point2f(Tuple2d t1)` Constructs and initializes a Point2f from the specified Tuple2d.
`Point2f(Tuple2f t1)` Constructs and initializes a Point2f from the specified Tuple2f.

Method Summary
`java.lang.Object` | `clone()`
`float` | `distance(Point2f p1)` Computes the distance between this point and point p1.
`float` | `distanceL1(Point2f p1)` Computes the L-1 (Manhattan) distance between this point and point p1.
`float` | `distanceLinf(Point2f p1)` Computes the L-infinite distance between this point and point p1.
`float` | `distanceSquared(Point2f p1)` Computes the square of the distance between this point and point p1.

Methods inherited from class javax.vecmath.Tuple2f
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, epsilonEquals, equals, equals, get, hashCode, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Point2f

    public Point2f()

  Constructs and initializes a Point2f to (0,0).

### Point2f

    public Point2f(float[] p)

  Constructs and initializes a Point2f from the specified array.

  Parameters:
    `p` - the array of length 2 containing xy in order

### Point2f

    public Point2f(float x,
                   float y)

  Constructs and initializes a Point2f from the specified xy coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate

### Point2f

    public Point2f(Point2d p1)

  Constructs and initializes a Point2f from the specified Point2d.

  Parameters:
    `p1` - the Point2d containing the initialization x y data

### Point2f

    public Point2f(Point2f p1)

  Constructs and initializes a Point2f from the specified Point2f.

  Parameters:
    `p1` - the Point2f containing the initialization x y data

### Point2f

    public Point2f(Tuple2d t1)

  Constructs and initializes a Point2f from the specified Tuple2d.

  Parameters:
    `t1` - the Tuple2d containing the initialization x y data

### Point2f

    public Point2f(Tuple2f t1)

  Constructs and initializes a Point2f from the specified Tuple2f.

  Parameters:
    `t1` - the Tuple2f containing the initialization x y data

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Tuple2f`

### distance

    public final float distance(Point2f p1)

  Computes the distance between this point and point p1.

  Parameters:
    `p1` - the other point

### distanceL1

    public final float distanceL1(Point2f p1)

  Computes the L-1 (Manhattan) distance between this point and point p1. The L-1 distance is equal to abs(x1-x2) + abs(y1-y2).

  Parameters:
    `p1` - the other point

### distanceLinf

    public final float distanceLinf(Point2f p1)

  Computes the L-infinite distance between this point and point p1. The L-infinite distance is equal to MAX[abs(x1-x2), abs(y1-y2)].

  Parameters:
    `p1` - the other point

### distanceSquared

    public final float distanceSquared(Point2f p1)

  Computes the square of the distance between this point and point p1.

  Parameters:
    `p1` - the other point

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD